import { SpreadsheetActiveWorksheetChangedEventArgs as SpreadsheetActiveWorksheetChangedEventArgs_internal } from "./SpreadsheetActiveWorksheetChangedEventArgs";
import { Worksheet } from "igniteui-webcomponents-excel";
/**
 * Event arguments for the
 * activeWorksheetChanged event.
*/
export declare class IgcSpreadsheetActiveWorksheetChangedEventArgs {
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): SpreadsheetActiveWorksheetChangedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Returns the new value of the
     * activeWorksheet
    */
    get newValue(): Worksheet;
    /**
     * Returns the previous value of the
     * activeWorksheet
    */
    get oldValue(): Worksheet;
}
